=== debian/changelog ===
soundgrab (0.7.0-1) unstable; urgency=low
  
  * Added new virtual package audio-mixer to 'Reccomends:' list.

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Wed,  6 Feb 2002 22:19:20 -0900

soundgrab (0.6.0-1) unstable; urgency=low
 
  * Updated Standards-Version to 3.5.6.0 in control file.
 
  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Mon, 10 Sep 2001 00:27:49 -0800

soundgrab (0.5.0-1) unstable; urgency=low

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Thu, 12 Jul 2001 12:06:36 -0800

soundgrab (0.4.0-1) unstable; urgency=low

  * Depends on flac and vorbis-tools in control.

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Wed, 11 Jul 2001 13:28:25 -0800

soundgrab (0.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Wed, 23 May 2001 10:47:14 -0800

soundgrab (0.3.0-1) unstable; urgency=low

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Mon, 21 May 2001 14:03:33 -0800

soundgrab (0.2.0-1) unstable; urgency=low

  * Build-Depends on debhelper in control.

  * debhelper version 3 semantics enabled in rules.

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Mon,  2 Apr 2001 18:04:44 -0800

soundgrab (0.1.0-2) unstable; urgency=low
  
  * Close the wnpp bug entry.  Closes bug#79704.

 -- Britton Leo Kerin <bkerin@debian.org>  Fri, 22 Dec 2000 14:25:33 -0900
  

soundgrab (0.1.0-1) unstable; urgency=low
  
  * no changes to upstream sources, other than addition of devian/
  
 -- Britton Leo Kerin <bkerin@debian.org>  Sun, 10 Dec 2000 01:33:33 -0900
