=== debian/control ===
Source: soundgrab
Section: sound
Priority: optional
Maintainer: Britton Leo Kerin <bkerin@debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.6.0

Package: soundgrab
Architecture: all
Depends: perl5, rawrec, sox, libtime-hires-perl, libterm-readline-gnu-perl, flac, vorbis-tools
Recommends: audio-mixer | aumix | asmixer | gom | cam | mixer.app | tkmixer | xmix
Suggests:
Conflicts:
Provides:
Replaces:
Description: play a raw audio file and interactively select and save pieces
 From the perl department of the Maximegalon museum of diseased
 imaginings.
 .
 soundgrab is a script that lets you interactively select and save
 your favorite parts of a raw audio file to other files via a command
 line interface.  It does this by providing you with the basic
 commands you would expect from an audio cassette deck (play, stop,
 ff, rw) plus some additions: mark, which places a marker at the
 current position of the head, and export, which saves the audio data
 between the mark and the current head position to a file you specify
 in wav, cdr (cd mastering), raw data, flac, or ogg format.
