=== debian/rules ===
#!/usr/bin/make -f

# Use debian 2.x policy compatible debhelper semantics.
export DH_COMPAT=3

clean: 
	dh_testdir
	dh_testroot
	dh_clean
	rm -f build-stamp

build: 
	touch build-stamp

install:
	dh_clean
	dh_installdirs usr/bin usr/share/man/man1 usr/share/doc/soundgrab
	$(MAKE) 'EXE_DIR = debian/soundgrab/usr/bin' \
                'MAN_DIR = debian/soundgrab/usr/share/man/man1' \
                install

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i ChangeLog
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean
