=== debian/changelog ===
soundgrab (0.9.0-1) unstable; urgency=low

  * Changed rules to use debhelper version 4.x compatible debhelper
    semantics.

  * Removed dependency on libtime-hires-perl, changed dependency on
    perl5 to dependency on perl (>= 5.8.0).

  * Updated control Standards-Version to 3.5.8.0.

  * Updated copyright file to point to new web page.

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Tue, 11 Feb 2003 19:54:52 -0900
