=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Britton Leo Kerin <bkerin@debian.org>
 Build-Depends: debhelper
-Standards-Version: 3.5.6.0
+Standards-Version: 3.5.8.0
 
 Package: soundgrab
 Architecture: all
-Depends: perl5, rawrec, sox, libtime-hires-perl, libterm-readline-gnu-perl, flac, vorbis-tools
+Depends: perl (>= 5.8.0), rawrec, sox, libterm-readline-gnu-perl, flac, vorbis-tools
 Recommends: audio-mixer | aumix | asmixer | gom | cam | mixer.app | tkmixer | xmix
 Suggests:
 Conflicts:
