=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-# Use debian 2.x policy compatible debhelper semantics.
-export DH_COMPAT=3
+# Use debhelper 4.x compatible debhelper semantics.
+export DH_COMPAT=4
 
 clean: 
 	dh_testdir
