## soundgrab 0.9.0-2

=== debian/changelog ===
soundgrab (0.9.0-2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (see #288216); set maintainer to Debian QA Group.
  * debian/postinst, debian/prerm: No-ops; remove.
  * debian/rules: Use dh_perl.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sun, 23 Oct 2005 15:11:07 +0200
