=== debian/control ===
--- 
+++ 
@@ -1,18 +1,14 @@
 Source: soundgrab
 Section: sound
 Priority: optional
-Maintainer: Britton Leo Kerin <bkerin@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper
-Standards-Version: 3.5.8.0
+Standards-Version: 3.6.2
 
 Package: soundgrab
 Architecture: all
-Depends: perl (>= 5.8.0), rawrec, sox, libterm-readline-gnu-perl, flac, vorbis-tools
+Depends: ${perl:Depends}, rawrec, sox, libterm-readline-gnu-perl, flac, vorbis-tools
 Recommends: audio-mixer | aumix | asmixer | gom | cam | mixer.app | tkmixer | xmix
-Suggests:
-Conflicts:
-Provides:
-Replaces:
 Description: play a raw audio file and interactively select and save pieces
  From the perl department of the Maximegalon museum of diseased
  imaginings.
