=== debian/watch ===
version=2
http://prdownloads.sourceforge.net/soundgrab/soundgrab-(.*)\.tar\.gz
